| Home | Libraries | People | FAQ | More

#### dynamic_buffer_ref_wrapper

A lightweight reference to a dynamic buffer.

##### Synopsis

Defined in header `<boost/beast/core/dynamic_buffer_ref.hpp>`

    template<
        class DynamicBuffer>
    class dynamic_buffer_ref_wrapper

##### Description

Objects of this type meet the requirements of DynamicBuffer. This is the wrapper returned by the function `dynamic_buffer_ref`.

##### See Also

`dynamic_buffer_ref`

Convenience header `<boost/beast/core.hpp>`